Package wx :: Class FileSystem

[frames | no frames]

## Type FileSystem

    object --+
             |
        Object --+
                 |
                FileSystem

Proxy of C++ FileSystem class

Method Summary
FileSystem | `__init__(self)`
| `__del__(self)`
| `AddHandler(handler)` (Static method)
| `ChangePathTo(self, location, is_dir)`
| `CleanUpHandlers()` (Static method)
String | `FileNameToURL(filename)` (Static method)
String | `FindFirst(self, spec, flags)`
String | `FindNext(self)`
String | `GetPath(self)`
FSFile | `OpenFile(self, location)`
CPPFileSystemHandler | `RemoveHandler(handler)` (Static method)
String | `URLToFileName(url)` (Static method)

Property Summary
| `Path`: See `GetPath`
| `thisown`: The membership flag

Property Details

### Path

See `GetPath`

  Get Method:
    `GetPath`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:38 2007 | http://epydoc.sf.net